> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pearcheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get business verification result

> Endpoint used to get business verification result



## OpenAPI

````yaml GET /api/v1/verify/get_business_verification_result/{batch_id}/
openapi: 3.0.3
info:
  title: Pearcheck API Documentation
  version: 1.0.0
  description: This is the official documentation for the Pearcheck backend
servers:
  - url: https://api.pearcheck.com
  - url: https://api-sandbox.pearcheck.com
security: []
paths:
  /api/v1/verify/get_business_verification_result/{batch_id}/:
    get:
      tags:
        - api
      operationId: api_v1_verify_get_business_verification_result_retrieve
      parameters:
        - in: path
          name: batch_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessVerificationResponse'
          description: Successful Operation
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request or Internal Error
      security:
        - ApiKeyAuth: []
        - {}
components:
  schemas:
    BusinessVerificationResponse:
      type: object
      properties:
        provider:
          type: string
        batch_id:
          type: string
          format: uuid
        status:
          type: string
          example: In-progress
        type:
          type: string
          example: Single
        verification_type:
          type: string
          example: Business Verification
        verification_result:
          type: string
          example: UNKNOWN
        id_type:
          type: string
          nullable: true
          example: null
        created_at:
          type: string
          format: date-time
        business_info:
          type: object
          additionalProperties: true
        aml_info:
          type: object
          additionalProperties: true
        lookup_info:
          type: object
          additionalProperties: true
        registration_info:
          type: object
          additionalProperties: true
        related_persons:
          type: object
          additionalProperties: true
        additional_info:
          type: object
          additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      required:
        - error
    ErrorDetail:
      type: object
      properties:
        summary:
          type: string
        fields:
          type: object
          additionalProperties:
            type: string
      required:
        - summary
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````